package com.nokia.hb.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nokia.hb.dao.entity.PerCfgIndicator;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author baomidou
 * @since 2023-02-27
 */
@Mapper
public interface PerCfgIndicatorMapper extends BaseMapper<PerCfgIndicator> {
    /**
     * 所有指标
     *
     * @return {@link List}<{@link PerCfgIndicator}>
     */
    @Select("select * from pm_parse.per_cfg_indicator order by sort desc")
    List<PerCfgIndicator> all();
}
